## Data input/output file names
args <- commandArgs(trailingOnly=TRUE)
if(length(args)<2){
    cat("Usage:\n\tR --args old_format_tsv common_format_tsv\n");
    cat("The first argument is an input file for an old formatted tsv file and the second file is an output file the common format we agreed upon\n");
    q(save="no");
}

input_file = args[1];
output_file = args[2];

old_format_omics=read.delim(input_file,row.names = 1)
omics_validation_headers <- rbind(rownames(old_format_omics),as.vector(unlist(old_format_omics$response)));
rownames(omics_validation_headers) <- c("sample_code", "status")
omics_validation_headers = gsub(pattern = "Cakut ",replacement = "",x = omics_validation_headers)

common_format_omics <- t(old_format_omics[,1:(ncol(old_format_omics)-1)]);
common_format_omics <- as.data.frame(rbind(omics_validation_headers,common_format_omics))

write.table(file=output_file, common_format_omics, col.names = F, sep = "\t", quote=F)